1. Midjourney
梧柏API使用文档
WHBAI · Midjourney
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Midjourney
    • 执行Action动作
      POST
    • 上传图片
      POST
    • 提交Imagine任务
      POST
    • 根据任务ID 查询任务状态
      GET
    • 根据ID列表查询任务
      POST
    • 获取任务图片的seed
      GET
    • 提交Blend任务
      POST
    • 提交Describe任务
      POST
    • 提交Modal
      POST
    • 提交 Shorten 任务
      POST
    • 提交 Change(Pan / Zoom)任务
      POST
    • 图像局部编辑(Edits)
      POST
    • 人脸替换(InsightFace Swap)
      POST
  • mj
    • 提交shorten 任务
      GET
    • 图生视频(增强版功能)
      POST
    • 文本指令变换(content)
      POST
  • 数据模型
    • MjSampleRequest
    • MjSampleResponse
    • PostMjSubmitImagineRequest
    • GetMjTaskFetchResponse
    • GetMjTaskIdImageSeedResponse
    • PostMjSubmitBlendRequest
    • PostMjSubmitBlendResponse
    • PostMjSubmitDescribeRequest
    • PostMjSubmitDescribeResponse
    • PostMjSubmitModalRequest
    • PostMjSubmitModalResponse
    • MjSubmitResponse
    • MjTask
    • PostMjTaskListByConditionResponse
    • PostMjSubmitShortenRequest
    • PostMjSubmitChangeRequest
    • PostMjSubmitEditsRequest
    • PostMjInsightFaceSwapRequest
    • NewApiError
  1. Midjourney

提交 Shorten 任务

POST
/mj/submit/shorten
分析提示词并返回精简版本,帮助优化冗长的 prompt。

网站中的模型与调用示例#

提示词分析(无渠道)#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "properties": {
      "properties": {
        "botType": {
          "properties": {
            "description": {
              "type": "string"
            },
            "enum": {
              "items": {
                "type": "string"
              },
              "type": "array"
            },
            "examples": {
              "items": {
                "type": "string"
              },
              "type": "array"
            },
            "type": {
              "type": "string"
            },
            "x-apifox-enum": {
              "items": {
                "properties": {
                  "description": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "value": {
                    "type": "string"
                  }
                },
                "required": [
                  "value",
                  "name",
                  "description"
                ],
                "type": "object"
              },
              "type": "array"
            }
          },
          "required": [
            "type",
            "description",
            "enum",
            "x-apifox-enum",
            "examples"
          ],
          "type": "object"
        },
        "notifyHook": {
          "properties": {
            "description": {
              "type": "string"
            },
            "type": {
              "type": "string"
            }
          },
          "required": [
            "type",
            "description"
          ],
          "type": "object"
        },
        "prompt": {
          "properties": {
            "description": {
              "type": "string"
            },
            "examples": {
              "items": {
                "type": "string"
              },
              "type": "array"
            },
            "type": {
              "type": "string"
            }
          },
          "required": [
            "type",
            "description",
            "examples"
          ],
          "type": "object"
        },
        "state": {
          "properties": {
            "description": {
              "type": "string"
            },
            "type": {
              "type": "string"
            }
          },
          "required": [
            "type",
            "description"
          ],
          "type": "object"
        }
      },
      "required": [
        "prompt",
        "botType",
        "notifyHook",
        "state"
      ],
      "type": "object"
    },
    "required": {
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "type": {
      "type": "string"
    },
    "x-apifox-orders": {
      "items": {
        "type": "string"
      },
      "type": "array"
    }
  },
  "required": [
    "type",
    "properties",
    "required",
    "x-apifox-orders"
  ]
}

请求示例 · 示例 1#

{
  "properties": {
    "botType": {
      "description": "bot 类型,mj(默认)或 niji",
      "enum": [
        "MID_JOURNEY",
        "NIJI_JOURNEY"
      ],
      "examples": [
        "MID_JOURNEY"
      ],
      "type": "string",
      "x-apifox-enum": [
        {
          "description": "",
          "name": "",
          "value": "MID_JOURNEY"
        },
        {
          "description": "",
          "name": "",
          "value": "MID_JOURNEY"
        }
      ]
    },
    "notifyHook": {
      "description": "回调地址, 为空时使用全局notifyHook",
      "type": "string"
    },
    "prompt": {
      "description": "待分析/精简的提示词",
      "examples": [
        "a highly detailed portrait of an old fisherman, dramatic lighting, 8k, masterpiece"
      ],
      "type": "string"
    },
    "state": {
      "description": "自定义参数",
      "type": "string"
    }
  },
  "required": [
    "prompt"
  ],
  "type": "object",
  "x-apifox-orders": [
    "prompt",
    "botType",
    "notifyHook",
    "state"
  ]
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例
{
    "prompt": "a very beautiful and majestic white horse with flowing mane running through an enchanted mystical forest with golden rays of sunlight filtering through the ancient tall trees",
    "botType": "MID_JOURNEY"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/mj/submit/shorten' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "prompt": "a very beautiful and majestic white horse with flowing mane running through an enchanted mystical forest with golden rays of sunlight filtering through the ancient tall trees",
    "botType": "MID_JOURNEY"
}'

返回响应

🟢200成功
application/json
成功
Bodyapplication/json

示例
{
    "code": 1,
    "description": "提交成功",
    "properties": {},
    "result": "1743326750223591"
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:12
上一页
提交Modal
下一页
提交 Change(Pan / Zoom)任务
Built with